Package com.castlabs.utils

## Class Codecs

- java.lang.Object
- - com.castlabs.utils.Codecs

-     public class Codecs
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Map<String,​String>` | `CODEC_NAMES` |
    `static Map<String,​String>` | `DASH_CODEC_TO_EXOPLAYER_MIMETYPE` |
    `static Set<String>` | `PLUGIN_DECODER_SUPPORT` |
    `static Set<String>` | `UNSUPPORTED_AUDIO_CODECS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Codecs()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Factory` | `createAudioCodecAdapterFactory()` |
    `static com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Factory` | `createVideoCodecAdapterFactory()` |
    `static String` | `getCodecName​(String codecs)` |
    `static int` | `getEncodingForMimeType​(String mimeType)` |
    `static boolean` | `isAudioCodec​(String codecs)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CODEC_NAMES

          public static final Map<String,​String> CODEC_NAMES

    - #### UNSUPPORTED_AUDIO_CODECS

          public static final Set<String> UNSUPPORTED_AUDIO_CODECS

    - #### PLUGIN_DECODER_SUPPORT

          public static final Set<String> PLUGIN_DECODER_SUPPORT

    - #### DASH_CODEC_TO_EXOPLAYER_MIMETYPE

          public static final Map<String,​String> DASH_CODEC_TO_EXOPLAYER_MIMETYPE

  - ### Constructor Detail

    - #### Codecs

          public Codecs()

  - ### Method Detail

    - #### getCodecName

          public static String getCodecName​(String codecs)

    - #### getEncodingForMimeType

          public static int getEncodingForMimeType​(String mimeType)

    - #### isAudioCodec

          public static boolean isAudioCodec​(String codecs)

    - #### createAudioCodecAdapterFactory

          public static com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Factory createAudioCodecAdapterFactory()

    - #### createVideoCodecAdapterFactory

          public static com.google.android.exoplayer2.mediacodec.MediaCodecAdapter.Factory createVideoCodecAdapterFactory()